Bug 247070 - www/py-flask-smorest: Update to 0.21.1
Summary: www/py-flask-smorest: Update to 0.21.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL: https://github.com/marshmallow-code/f...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-06-07 21:24 UTC by Goran Mekić
Modified: 2020-06-13 20:19 UTC (History)
2 users (show)

See Also:


Attachments
flask-smorest.diff (1016 bytes, patch)
2020-06-07 21:24 UTC, Goran Mekić
meka: maintainer-approval+
Details | Diff
flask-smorest-proper-branch.diff (1.07 KB, patch)
2020-06-08 16:09 UTC, Goran Mekić
meka: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Goran Mekić 2020-06-07 21:24:40 UTC
Created attachment 215342 [details]
flask-smorest.diff

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 12.1, amd64 tested)
  * maketest: OK (570 passed)
Comment 1 Fernando Apesteguía freebsd_committer 2020-06-08 05:43:57 UTC
Hi Goran,

The subject says "www/py-flask-smorest: Update to 0.21.1" but the patch goes to update devel/py-apispec/...

 PORTNAME=	apispec
-PORTVERSION=	3.3.0
+PORTVERSION=	3.3.1

Would you check it please?
Comment 2 Goran Mekić 2020-06-08 16:09:58 UTC
Created attachment 215364 [details]
flask-smorest-proper-branch.diff

Sorry, I made a patch out of wrong branch.
Comment 3 commit-hook freebsd_committer 2020-06-13 20:18:37 UTC
A commit references this bug:

Author: dbaio
Date: Sat Jun 13 20:17:52 UTC 2020
New revision: 538696
URL: https://svnweb.freebsd.org/changeset/ports/538696

Log:
  www/py-flask-smorest: Update to 0.21.1

  Changelog:	https://github.com/marshmallow-code/flask-smorest/blob/0.21.1/CHANGELOG.rst

  PR:		247070
  Submitted by:	Goran Mekic <meka@tilda.center> (maintainer)

Changes:
  head/www/py-flask-smorest/Makefile
  head/www/py-flask-smorest/distinfo
Comment 4 Danilo G. Baio freebsd_committer 2020-06-13 20:19:36 UTC
Committed, thanks!